--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Sends an asynchronous SQL query request specified by <em>sql</em> to the PostgreSQL. Returns an Array as the resulting tuple on success. On failure, it returns <tt>nil</tt>, and the error details can be obtained by #error."
full_name: PGconn#async_query
is_singleton: false
name: async_query
params: |
  conn.async_query(sql)

visibility: public
